This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 480729 - Split evince libs out into a separate sub-package
Split evince libs out into a separate sub-package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2009-01-20 01:43 EST by Peter Robinson
Modified: 2009-06-02 04:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 04:27:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to evince.spec to split out libs to sub package. Also adds the gtk-docs to the devel package now that there is one (3.32 KB, patch)
2009-01-20 01:43 EST, Peter Robinson
no flags Details | Diff
updated patcch for evince.spec (3.14 KB, patch)
2009-04-23 10:08 EDT, Peter Robinson
no flags Details | Diff

  None (edit)
Description Peter Robinson 2009-01-20 01:43:09 EST
Created attachment 329428 [details]
patch to evince.spec to split out libs to sub package. Also adds the gtk-docs to the devel package now that there is one

The next stable release of evince will enable different front ends to be build against the core evince libraries (will be in evince 2.25.5 release). This will allow for python front ends such as sugar-evince that won't require the main evince gui. To allow for minimal dependencies and smaller size it would be great to split the libraries out to a separate sub package. I have an initial patch to the spec file that seems to do this OK but it might need some tweaking.
Comment 1 Peter Robinson 2009-01-20 01:46:04 EST
Also see http://sugarlabs.org/go/Evince for further information
Comment 2 Peter Robinson 2009-02-06 11:10:17 EST
Ping? Any thoughts on this?
Comment 3 Peter Robinson 2009-03-13 07:18:35 EDT
Ping..
Comment 4 Peter Robinson 2009-04-19 16:58:33 EDT
Hello.... anyone home? This ticket has now been open 3 months with absolutely no response!
Comment 5 Matthias Clasen 2009-04-22 00:32:52 EDT
Is this really worth it ? I mean, how big is the main evince package, 400k ?
Anyway, adding the api docs to -devel is certainly fine.
Comment 6 Peter Robinson 2009-04-23 10:07:44 EDT
The installed size of evince is 5.3Mb (measured using rpm2cpio into a subdir and then using 'du -h'). The installed size of the lib using the same method 448Kb so its around 10% of the size of the evince package. Nearly 5Mb saving for OLPC which has a Flash of 1Gb is a reasonable saving.

The package sizes worked out as below:

1.3M evince-2.26.1-1.fc11.x86_64.rpm
1.4M evince-debuginfo-2.26.1-1.fc11.x86_64.rpm
149K evince-devel-2.26.1-1.fc11.x86_64.rpm
 28K evince-djvu-2.26.1-1.fc11.x86_64.rpm
 76K evince-dvi-2.26.1-1.fc11.x86_64.rpm
166K evince-libs-2.26.1-1.fc11.x86_64.rpm

That is also assuming I got the right files in the right rpms :)
I'll add an updated patch to the spec for the latest release of evince.
Comment 7 Peter Robinson 2009-04-23 10:08:50 EDT
Created attachment 340939 [details]
updated patcch for evince.spec
Comment 8 Matthias Clasen 2009-04-23 10:29:02 EDT
hmm, rpm tells me the installed size is 4.1M. Of course, the bulk of that is help and gconf schemas.

Anyway, if you want, feel free to do this split in F12. Not convined we want to do this kind of maneuver in F11 this close to release.
Comment 9 Peter Robinson 2009-05-01 07:34:58 EDT
Committed to F-12/devel branch.
Comment 10 Peter Robinson 2009-06-01 17:50:26 EDT
Matthias: I believe gnome-python2-evince can be updated to just depend on the -libs file. Do you want a separate bug report for this?
Comment 11 Matthias Clasen 2009-06-01 21:08:29 EDT
No, just do it.
Comment 12 Peter Robinson 2009-06-02 04:27:24 EDT
Done. koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=1389050

Note You need to log in before you can comment on or make changes to this bug.